Search Multiple Companies
Search for multiple companies in a single request. Provide a list of companies with identifiers like domain names or company IDs.
Endpoint:
POST https://api.lusha.com/bulk/company/v2
Notes:
- At least one of
domain,company, orcompanyIdis required. - You can process up to 100 companies per request.
curl --request POST \
--url https://api.lusha.com/bulk/company/v2 \
--header 'Content-Type: application/json' \
--header 'api_key: <api-key>' \
--data '
{
"companies": [
{
"id": "1",
"name": "Lusha"
},
{
"id": "2",
"domain": "google.com"
}
]
}
'import requests
url = "https://api.lusha.com/bulk/company/v2"
payload = { "companies": [
{
"id": "1",
"name": "Lusha"
},
{
"id": "2",
"domain": "google.com"
}
] }
headers = {
"api_key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {api_key: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({companies: [{id: '1', name: 'Lusha'}, {id: '2', domain: 'google.com'}]})
};
fetch('https://api.lusha.com/bulk/company/v2', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.lusha.com/bulk/company/v2")
.header("api_key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"companies\": [\n {\n \"id\": \"1\",\n \"name\": \"Lusha\"\n },\n {\n \"id\": \"2\",\n \"domain\": \"google.com\"\n }\n ]\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.lusha.com/bulk/company/v2"
payload := strings.NewReader("{\n \"companies\": [\n {\n \"id\": \"1\",\n \"name\": \"Lusha\"\n },\n {\n \"id\": \"2\",\n \"domain\": \"google.com\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("api_key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"1": {
"id": 33222678,
"lushaCompanyId": "16303253",
"name": "Lusha",
"companySize": [
201,
500
],
"fqdn": "www.lusha.com",
"founded": "2016",
"description": "Lusha is the leader in Sales Streaming – a new sales paradigm that streams top leads straight to salespeople and handles all the outreach, so they can escape the lead grind and just sell.\n\nLusha's Sales Streaming Platform is built around Sales Playlists that continuously fill up with their ideal prospects – think \"Spotify for sales.\" With AI doing the heavy lifting, Lusha uncovers great-fit leads salespeople never knew existed and executes tailored, perfectly timed cadences that get meetings booked. And the more you use Lusha, the smarter it gets.\n\nWith Sales Streaming, salespeople spend most of their time face-to-face with relevant prospects, driving 4-6X more business.",
"logoUrl": "https://logo.lusha.co/brightdata/year=2024/month=05/day=03/j_lvq47h0g13te1b3wpu.e7b0795e7affc9953dadd43e6fce99a2c5260043.file_lvq4cfwv17kcb9m4ej.logo_cached.jpg",
"industryPrimaryGroupDetails": {
"sics": [
{
"sic": 7371,
"description": "Custom computer programming services"
}
],
"naics": [
{
"naics": 541511,
"description": "Custom Computer Programming Services"
}
]
},
"linkedin": "https://www.linkedin.com/company/lushadata",
"mainIndustry": "Technology, Information & Media",
"subIndustry": "Software Development",
"city": "Boston",
"state": "Massachusetts",
"country": "United States",
"countryIso2": "US",
"continent": "North America",
"rawLocation": "800 Boylston St; Suite 1410; Boston, Massachusetts 02199, US",
"linkedinFollowers": 1950,
"emailDomain": "lusha.com",
"alternativeName": "lusha systems",
"companyType": "Private company",
"lushaPopularityTier": 2,
"employeesInLinkedin": 320,
"companyLocations": [
{
"city": "Boston",
"continent": "North America",
"country": "United States",
"country_iso2": "US",
"location_coordinates": [
-71.05976867675781,
42.358428955078125
],
"state": "Massachusetts",
"state_code": "MA"
},
{
"city": "Tel Aviv",
"continent": "Asia",
"country": "Israel",
"country_iso2": "IL",
"location_coordinates": [
34.781769,
32.0853
],
"state": null,
"state_code": null
}
],
"crunchbase": "https://www.crunchbase.com/organization/lusha",
"specialities": [
"data accuracy",
"data availability",
"data enrichment",
"inside sales",
"lead capture",
"lead gen",
"lead generation",
"lead generation software",
"lead intelligence",
"lead mining",
"lead nurturing",
"prospecting",
"sales enablement",
"sales intelligence"
],
"funding": {
"rounds": [
{
"currency": "USD",
"roundAmount": 205000000,
"roundType": "Private Equity Round",
"roundDate": "Nov 10, 2021"
},
{
"currency": "USD",
"roundAmount": 40000000,
"roundType": "Private Equity Round",
"roundDate": "Feb 10, 2021"
}
],
"totalRounds": 2,
"totalRoundsAmount": 245000000,
"currency": "USD",
"isIpo": false,
"lastRoundType": "Private Equity Round",
"lastRoundAmount": 205000000,
"lastRoundDate": "Nov 10, 2021"
},
"intent": {
"detectedTopics": [
{
"topicName": "HIPAA Compliance",
"metadata": {
"topicScore": 78,
"topicTrend": "-3"
}
},
{
"topicName": "Software Development Lifecycle",
"metadata": {
"topicScore": 74,
"topicTrend": "-1"
}
},
{
"topicName": "Asana",
"metadata": {
"topicScore": 72,
"topicTrend": "New"
}
},
{
"topicName": "Agile Transformation",
"metadata": {
"topicScore": 71,
"topicTrend": "+7"
}
},
{
"topicName": "Rally Software",
"metadata": {
"topicScore": 70,
"topicTrend": "+8"
}
},
{
"topicName": "VersionOne",
"metadata": {
"topicScore": 70,
"topicTrend": "-10"
}
}
],
"topicCount": 6
}
},
"2": {
"id": 1441,
"lushaCompanyId": "10117615",
"name": "Google",
"companySize": [
100001,
10000000
],
"revenueRange": [
1000000000,
10000000000
],
"fqdn": "www.google.com",
"description": "A problem isn't truly solved until it's solved for all. Googlers build products that help create opportunities for everyone, whether down the street or across the globe. Bring your insight, imagination and a healthy disregard for the impossible. Bring everything that makes you unique. Together, we can build for everyone.\n\nCheck out our career opportunities at goo.gle/3DLEokh",
"logoUrl": "https://logo.lusha.co/coresignal/202405/c/82/c822c1b63853ed273b89687ac505f9fa",
"industryPrimaryGroupDetails": {
"sics": [
{
"sic": 7372,
"description": "Prepackaged software"
}
],
"naics": [
{
"naics": 513210,
"description": "Software Publishers"
}
]
},
"linkedin": "https://www.linkedin.com/company/google",
"mainIndustry": "Technology, Information & Media",
"subIndustry": "Software Development",
"city": "Mountain View",
"state": "California",
"country": "United States",
"countryIso2": "US",
"continent": "North America",
"rawLocation": "1600 Amphitheatre Parkway; Mountain View, CA 94043, US",
"linkedinFollowers": 23500000,
"emailDomain": "google.com",
"alternativeName": "google llc",
"companyType": "Public company",
"lushaPopularityTier": 1,
"employeesInLinkedin": 182000,
"companyLocations": [
{
"city": "Mountain View",
"continent": "North America",
"country": "United States",
"country_iso2": "US",
"location_coordinates": [
-122.08415985107422,
37.4219970703125
],
"state": "California",
"state_code": "CA"
},
{
"city": "New York",
"continent": "North America",
"country": "United States",
"country_iso2": "US",
"location_coordinates": [
-74.00597381591797,
40.71272277832031
],
"state": "New York",
"state_code": "NY"
}
],
"crunchbase": "https://www.crunchbase.com/organization/g-pay",
"specialities": [
"ads",
"android",
"apps",
"artificial intelligence agents",
"cloud",
"hardware",
"machine learning",
"mobile",
"online video",
"search",
"software",
"virtual reality",
"youtube channel"
],
"intent": {
"detectedTopics": [
{
"topicName": "Rally Software",
"metadata": {
"topicScore": 70,
"topicTrend": "-6"
}
},
{
"topicName": "Deel, Inc.",
"metadata": {
"topicScore": 70,
"topicTrend": "-8"
}
},
{
"topicName": "GitHub Enterprise",
"metadata": {
"topicScore": 70,
"topicTrend": "-3"
}
}
],
"topicCount": 3
}
}
}{
"statusCode": 400,
"message": "Invalid request parameters"
}{
"statusCode": 401,
"message": "Invalid API key"
}{
"statusCode": 429,
"message": "Too many requests. Please wait before making another request."
}{
"statusCode": 500,
"message": "Internal server error. Please try again later."
}Authorizations
Your Lusha API key. You can find this in your Lusha dashboard under API settings.
Include this key in the api_key header for all requests.
Body
The list of companies to search
Show child attributes
Show child attributes
Array of signal types to retrieve for the companies.
allSignals: All available signal types
See Signal Filters for complete details on available signals and their categories
allSignals, websiteTrafficIncrease, websiteTrafficDecrease, itSpendIncrease, itSpendDecrease, headcountIncrease1m, headcountDecrease1m, headcountIncrease3m, headcountDecrease3m, headcountIncrease6m, headcountDecrease6m, headcountIncrease12m, headcountDecrease12m, surgeInHiring, surgeInHiringByDepartment, surgeInHiringByLocation, riskNews, commercialActivityNews, corporateStrategyNews, financialEventsNews, peopleNews, marketIntelligenceNews, productActivityNews ["surgeInHiringByLocation"]
Start date for signal retrieval in YYYY-MM-DD format. Defaults to 6 months ago if not specified.
"2025-03-01"
Optional filters to narrow signal results within the requested signal types.
- Multi-value filters use OR logic
- Filter values are not case-sensitive
- Unrecognized values are silently ignored
statewithoutcountryinhiringByLocationsreturns HTTP 400
Show child attributes
Show child attributes
Expand coverage with partial company profiles
false
Response
Bulk company search results
Show child attributes
Show child attributes
Was this page helpful?
curl --request POST \
--url https://api.lusha.com/bulk/company/v2 \
--header 'Content-Type: application/json' \
--header 'api_key: <api-key>' \
--data '
{
"companies": [
{
"id": "1",
"name": "Lusha"
},
{
"id": "2",
"domain": "google.com"
}
]
}
'import requests
url = "https://api.lusha.com/bulk/company/v2"
payload = { "companies": [
{
"id": "1",
"name": "Lusha"
},
{
"id": "2",
"domain": "google.com"
}
] }
headers = {
"api_key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {api_key: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({companies: [{id: '1', name: 'Lusha'}, {id: '2', domain: 'google.com'}]})
};
fetch('https://api.lusha.com/bulk/company/v2', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.lusha.com/bulk/company/v2")
.header("api_key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"companies\": [\n {\n \"id\": \"1\",\n \"name\": \"Lusha\"\n },\n {\n \"id\": \"2\",\n \"domain\": \"google.com\"\n }\n ]\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.lusha.com/bulk/company/v2"
payload := strings.NewReader("{\n \"companies\": [\n {\n \"id\": \"1\",\n \"name\": \"Lusha\"\n },\n {\n \"id\": \"2\",\n \"domain\": \"google.com\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("api_key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"1": {
"id": 33222678,
"lushaCompanyId": "16303253",
"name": "Lusha",
"companySize": [
201,
500
],
"fqdn": "www.lusha.com",
"founded": "2016",
"description": "Lusha is the leader in Sales Streaming – a new sales paradigm that streams top leads straight to salespeople and handles all the outreach, so they can escape the lead grind and just sell.\n\nLusha's Sales Streaming Platform is built around Sales Playlists that continuously fill up with their ideal prospects – think \"Spotify for sales.\" With AI doing the heavy lifting, Lusha uncovers great-fit leads salespeople never knew existed and executes tailored, perfectly timed cadences that get meetings booked. And the more you use Lusha, the smarter it gets.\n\nWith Sales Streaming, salespeople spend most of their time face-to-face with relevant prospects, driving 4-6X more business.",
"logoUrl": "https://logo.lusha.co/brightdata/year=2024/month=05/day=03/j_lvq47h0g13te1b3wpu.e7b0795e7affc9953dadd43e6fce99a2c5260043.file_lvq4cfwv17kcb9m4ej.logo_cached.jpg",
"industryPrimaryGroupDetails": {
"sics": [
{
"sic": 7371,
"description": "Custom computer programming services"
}
],
"naics": [
{
"naics": 541511,
"description": "Custom Computer Programming Services"
}
]
},
"linkedin": "https://www.linkedin.com/company/lushadata",
"mainIndustry": "Technology, Information & Media",
"subIndustry": "Software Development",
"city": "Boston",
"state": "Massachusetts",
"country": "United States",
"countryIso2": "US",
"continent": "North America",
"rawLocation": "800 Boylston St; Suite 1410; Boston, Massachusetts 02199, US",
"linkedinFollowers": 1950,
"emailDomain": "lusha.com",
"alternativeName": "lusha systems",
"companyType": "Private company",
"lushaPopularityTier": 2,
"employeesInLinkedin": 320,
"companyLocations": [
{
"city": "Boston",
"continent": "North America",
"country": "United States",
"country_iso2": "US",
"location_coordinates": [
-71.05976867675781,
42.358428955078125
],
"state": "Massachusetts",
"state_code": "MA"
},
{
"city": "Tel Aviv",
"continent": "Asia",
"country": "Israel",
"country_iso2": "IL",
"location_coordinates": [
34.781769,
32.0853
],
"state": null,
"state_code": null
}
],
"crunchbase": "https://www.crunchbase.com/organization/lusha",
"specialities": [
"data accuracy",
"data availability",
"data enrichment",
"inside sales",
"lead capture",
"lead gen",
"lead generation",
"lead generation software",
"lead intelligence",
"lead mining",
"lead nurturing",
"prospecting",
"sales enablement",
"sales intelligence"
],
"funding": {
"rounds": [
{
"currency": "USD",
"roundAmount": 205000000,
"roundType": "Private Equity Round",
"roundDate": "Nov 10, 2021"
},
{
"currency": "USD",
"roundAmount": 40000000,
"roundType": "Private Equity Round",
"roundDate": "Feb 10, 2021"
}
],
"totalRounds": 2,
"totalRoundsAmount": 245000000,
"currency": "USD",
"isIpo": false,
"lastRoundType": "Private Equity Round",
"lastRoundAmount": 205000000,
"lastRoundDate": "Nov 10, 2021"
},
"intent": {
"detectedTopics": [
{
"topicName": "HIPAA Compliance",
"metadata": {
"topicScore": 78,
"topicTrend": "-3"
}
},
{
"topicName": "Software Development Lifecycle",
"metadata": {
"topicScore": 74,
"topicTrend": "-1"
}
},
{
"topicName": "Asana",
"metadata": {
"topicScore": 72,
"topicTrend": "New"
}
},
{
"topicName": "Agile Transformation",
"metadata": {
"topicScore": 71,
"topicTrend": "+7"
}
},
{
"topicName": "Rally Software",
"metadata": {
"topicScore": 70,
"topicTrend": "+8"
}
},
{
"topicName": "VersionOne",
"metadata": {
"topicScore": 70,
"topicTrend": "-10"
}
}
],
"topicCount": 6
}
},
"2": {
"id": 1441,
"lushaCompanyId": "10117615",
"name": "Google",
"companySize": [
100001,
10000000
],
"revenueRange": [
1000000000,
10000000000
],
"fqdn": "www.google.com",
"description": "A problem isn't truly solved until it's solved for all. Googlers build products that help create opportunities for everyone, whether down the street or across the globe. Bring your insight, imagination and a healthy disregard for the impossible. Bring everything that makes you unique. Together, we can build for everyone.\n\nCheck out our career opportunities at goo.gle/3DLEokh",
"logoUrl": "https://logo.lusha.co/coresignal/202405/c/82/c822c1b63853ed273b89687ac505f9fa",
"industryPrimaryGroupDetails": {
"sics": [
{
"sic": 7372,
"description": "Prepackaged software"
}
],
"naics": [
{
"naics": 513210,
"description": "Software Publishers"
}
]
},
"linkedin": "https://www.linkedin.com/company/google",
"mainIndustry": "Technology, Information & Media",
"subIndustry": "Software Development",
"city": "Mountain View",
"state": "California",
"country": "United States",
"countryIso2": "US",
"continent": "North America",
"rawLocation": "1600 Amphitheatre Parkway; Mountain View, CA 94043, US",
"linkedinFollowers": 23500000,
"emailDomain": "google.com",
"alternativeName": "google llc",
"companyType": "Public company",
"lushaPopularityTier": 1,
"employeesInLinkedin": 182000,
"companyLocations": [
{
"city": "Mountain View",
"continent": "North America",
"country": "United States",
"country_iso2": "US",
"location_coordinates": [
-122.08415985107422,
37.4219970703125
],
"state": "California",
"state_code": "CA"
},
{
"city": "New York",
"continent": "North America",
"country": "United States",
"country_iso2": "US",
"location_coordinates": [
-74.00597381591797,
40.71272277832031
],
"state": "New York",
"state_code": "NY"
}
],
"crunchbase": "https://www.crunchbase.com/organization/g-pay",
"specialities": [
"ads",
"android",
"apps",
"artificial intelligence agents",
"cloud",
"hardware",
"machine learning",
"mobile",
"online video",
"search",
"software",
"virtual reality",
"youtube channel"
],
"intent": {
"detectedTopics": [
{
"topicName": "Rally Software",
"metadata": {
"topicScore": 70,
"topicTrend": "-6"
}
},
{
"topicName": "Deel, Inc.",
"metadata": {
"topicScore": 70,
"topicTrend": "-8"
}
},
{
"topicName": "GitHub Enterprise",
"metadata": {
"topicScore": 70,
"topicTrend": "-3"
}
}
],
"topicCount": 3
}
}
}{
"statusCode": 400,
"message": "Invalid request parameters"
}{
"statusCode": 401,
"message": "Invalid API key"
}{
"statusCode": 429,
"message": "Too many requests. Please wait before making another request."
}{
"statusCode": 500,
"message": "Internal server error. Please try again later."
}